Page 1 sur 2 12 DernièreDernière
Affichage des résultats 1 à 15 sur 19

Discussion: Utiliser un APK avec Archos 28

  1. #1
    Archosien amateur
    Date d'inscription
    juin 2012
    Âge
    70
    Messages
    67

    Utiliser un APK avec Archos 28

    Bonjour,

    Si je charge un fichier APK, de mon PC, (via le cable USB) , dans mon Archos 28, quand je le lance, j'obtien un message:

    '' Erreur d'analyse ''
    '' Un problème est survenu lors de l'analyse du kit "".

    Quelqu'un saurrait-il d'ou vient le problème ?Comment charger un fichier APK, pour l'utiliser ensuite ?

    Merçi.

    Serge.

  2. #2
    Archosien expert Avatar de bizuthducha
    Date d'inscription
    décembre 2008
    Messages
    1 434
    Je possède : Creative Zen Vision, Zicplay
    Je connais pas la version d'Android du 28 mais l'application nécessite une version plus récente Ou bien alors il manque du hardware pour la faire tourner (gps, gyroscope, accéléromètre..). Bref, tu peux pas la faire tourner, essayer de passer par le market!
    "La réponse est oui. Quelle est la question?" W.Allen

  3. #3
    Archosien légendaire Avatar de Nathan22
    Date d'inscription
    janvier 2011
    Âge
    20
    Messages
    6 002
    Je possède : Archos 30c vision, Archos 70it et archos 70Bit dead
    Mais sinon la technique est la bonne, c'est juste que dans ca cas le fichier n'est pas bon.
    "Être humain c'est aimer les hommes, être sage c'est les connaître."

  4. #4
    Administrateur
    Date d'inscription
    juin 2011
    Messages
    2 312
    Comme tout le monde te l'as dit, ça révèle un problème d'incompatibilité entre ton Archos et l'appareil pour lequel l'application est prévue.
    Contact: dyonysos[at]archoslounge.net
    Le respect de la Nétiquette est fortement recommandé

  5. #5
    Archosien amateur
    Date d'inscription
    juin 2012
    Âge
    70
    Messages
    67
    Bonjour,

    Cette application:

    Ne nécessite pas de Hard particulier ( ne fait que, gerrer des questions, des réponses et les sauvegarder dans un fichier, à des fins statistiques).
    Le fichier est '' bon '' puisqu'il se charge,et tourne, normalement, sur Archos101.
    La version d'Android 28 (acheté il y a peu de temps), est plus récente, que celle du Android101(achetée, il y a environ deux ans).
    L'application n'est pas prévue pour un appareil particulier (c'est une application, simple, que j'ai réalisée en C#, avec MonoDroid, pour utiliser avec tablette Android).

    Donc, ce ne peut-être: Un problème d'incompatibilité entre, Archos et l'appareil pour lequel l'application est prévue.
    Je suis débutant dans le domaine des tablettes, mais je ne vois pas trés bien en quoi passer par le market, résoudrait mon problème.
    Il faudrait, pour cela que mon application, soit chargé sur le market (ce que je ne sais pas faire, actuellement) , ensuite la récupèrer ... (ce que je ne sais pas faire, non plus).
    Et j'aurais, sans doute, toujour, le même fichier.apk, donc, probablement, les mêmes problèmes ....
    Je pensais, naivement, que sur Achos28, on pouvait charger un fichier.apk (à partir du PC, via le cable USB) et le faire fonctionner comme sur Archos101.

    Serge.

  6. #6
    Archosien légendaire Avatar de Nathan22
    Date d'inscription
    janvier 2011
    Âge
    20
    Messages
    6 002
    Je possède : Archos 30c vision, Archos 70it et archos 70Bit dead
    Mais on t'as dit que c'est vrai !!
    Essaye avec un autre fichier, ça va marcher.
    "Être humain c'est aimer les hommes, être sage c'est les connaître."

  7. #7
    Archosien légendaire Avatar de Va84
    Date d'inscription
    avril 2011
    Messages
    5 850
    Si ça affiche ça c'est bel et bien un problème de compatibilité, la 101IT n'est pas moins récente que la 28 IT, elles sont sorties en même temps c'est juste que tu l'as achetée après...

  8. #8
    Archosien amateur
    Date d'inscription
    juin 2012
    Âge
    70
    Messages
    67
    Je viens de réaliser une petite Application (un bouton qui affiche dans une fenêtre un chifre, et l'incrémente à chaque fois que l'on utilise le bouton).
    Dur de faire plus simple.
    Cela fonctionne avec le simulateur, donc, j'en fais un ''.APK''.
    Je le charge sur Archos101, cela fonctionne.
    Je le charge sur Archos28, cela me donne le message:

    '' Erreur d'analyse ''
    '' Un problème est survenu lors de l'analyse du kit "".

    Même condition,même fichier, avec cable PC, via USB.
    Je charge le fichier, je click dessus ....

    Dans le premier cas il me demande si je l'instale, ensuite si je le lance ...
    Dans le deuxième cas, problème ...

  9. #9
    Archosien légendaire Avatar de Va84
    Date d'inscription
    avril 2011
    Messages
    5 850
    Tu l'as mis en minimum API combien ?

    Pour des applis très simples je te conseille de mettre la compatibilité à Android 1.5, au moins t'es sûr qu'elle marchera partout

  10. #10
    Archosien amateur
    Date d'inscription
    juin 2012
    Âge
    70
    Messages
    67
    Dans version du logiciel, j'ai:

    Archos101: Android: 2.2.1
    Archos28: Android: 2.1-Upgrad 1

  11. #11
    Archosien légendaire Avatar de Va84
    Date d'inscription
    avril 2011
    Messages
    5 850
    T'as pas mis à jour ton 28IT ?

    Sinon ton appli tu l'as mis en compatibilité à partir de quel Android, je pense qu'il vient de là le problème...

  12. #12
    Archosien amateur
    Date d'inscription
    juin 2012
    Âge
    70
    Messages
    67
    Je pense que tu as raison, le problème, c'est que j'utilise monodroid, et que je ne sais pas ou trouver l'information de niveau de compatibilité de l'application.
    J'ai du le préciser au moment de l'instalation de Monodroid.
    Je vais chercher à ce niveau.

    Et si je mangeais, avant ...!!!!

    A tout à l'heure ...

    Serge.

  13. #13
    Archosien amateur
    Date d'inscription
    juin 2012
    Âge
    70
    Messages
    67
    Tu me disais de remettre à jour le 28IT.
    Je ne l'ai jamais fais, est-ce possible à partir du PC avec cable USB ? , parceque le WIFI ... !!!!!

  14. #14
    Archosien légendaire Avatar de Nathan22
    Date d'inscription
    janvier 2011
    Âge
    20
    Messages
    6 002
    Je possède : Archos 30c vision, Archos 70it et archos 70Bit dead
    Oui c'est possible il faut télécharger le firmware sur le site d'archos.
    "Être humain c'est aimer les hommes, être sage c'est les connaître."

  15. #15
    Archosien légendaire Avatar de Va84
    Date d'inscription
    avril 2011
    Messages
    5 850
    Citation Envoyé par serge69 Voir le message
    Je pense que tu as raison, le problème, c'est que j'utilise monodroid, et que je ne sais pas ou trouver l'information de niveau de compatibilité de l'application.
    J'ai du le préciser au moment de l'instalation de Monodroid.
    Je vais chercher à ce niveau.

    Et si je mangeais, avant ...!!!!

    A tout à l'heure ...

    Serge.

    En effet autant pour moi...j'utilise Eclipse pour créer mes applis Android donc je sais pas ce que donne Monodroid....

    Par contre sur Eclipse je sais qu'on peut modifier, seulement c'est pas le même langage de programmation....

    Pour la MàJ en effet tu peux le télécharger sur le site d'Archos, mais branche bien ton Archos sur le secteur durant la MàJ sinon si ta batterie est vide en plein au milieu de la MàJ t'es bien embêté, au moins tu passeras de 2.1 à 2.2 comme ta 101 IT

Informations de la discussion

Utilisateur(s) sur cette discussion

Il y a actuellement 1 utilisateur(s) naviguant sur cette discussion. (0 utilisateur(s) et 1 invité(s))

Discussions similaires

  1. Peut-on utiliser une imprimante multi fonction avec l'Archos 43 IT?
    Par anthromon dans le forum Applications & Jeux Android
    Réponses: 14
    Dernier message: 13/06/2011, 12:08:50
  2. Apk android gsm compatible avec la tablette archos ?
    Par kevlamenace dans le forum Applications & Jeux Android
    Réponses: 0
    Dernier message: 06/01/2011, 21:32:20
  3. Réponses: 1
    Dernier message: 29/05/2009, 11:12:46
  4. Utiliser le 605 avec linux
    Par besuck dans le forum Gen 5
    Réponses: 10
    Dernier message: 02/07/2008, 23:02:47

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •